# GpgFrontend Project: GpgFrontend::UI::VersionCheckTask Class Reference

GpgFrontend::UI::VersionCheckTask Class Reference
Inheritance diagram for GpgFrontend::UI::VersionCheckTask:
Collaboration diagram for GpgFrontend::UI::VersionCheckTask:

## Signals

void | SignalUpgradeVersion (SoftwareVersion version)
Signals inherited from GpgFrontend::Thread::Task
void | SignalTaskRunnableEnd (int rtn)
| announce runnable finished
void | SignalTaskEnd ()
| runnable and callabck all finished

## Public Member Functions

| VersionCheckTask ()
| Construct a new Version Check Thread object.
Public Member Functions inherited from GpgFrontend::Thread::Task
| Task (std::string name=DEFAULT_TASK_NAME)
| Construct a new Task object.
| Task (TaskRunnable runnable, std::string name=DEFAULT_TASK_NAME, DataObjectPtr data_object=nullptr, bool sequency=true)
| Construct a new Task object. More...
| Task (TaskRunnable runnable, std::string name, DataObjectPtr data, TaskCallback callback=[](int, const std::shared_ptr< DataObject > &) {}, bool sequency=true)
| Construct a new Task object. More...
virtual | ~Task () override
| Destroy the Task object.
std::string | GetUUID () const
std::string | GetFullID () const
bool | GetSequency () const

## Protected Member Functions

void | Run () override
| Run - run the task.
Protected Member Functions inherited from GpgFrontend::Thread::Task
void | SetFinishAfterRun (bool finish_after_run)
| Set the Finish After Run object. More...
void | SetRTN (int rtn)

## Private Slots

void | slot_parse_latest_version_info ()
void | slot_parse_current_version_info ()

## Private Attributes

QByteArray | latest_reply_bytes_
QByteArray | current_reply_bytes_
QNetworkReply * | latest_reply_ = nullptr
| latest version info reply
QNetworkReply * | current_reply_ = nullptr
| current version info reply
QNetworkAccessManager * | network_manager_
std::string | current_version_
SoftwareVersion | version_

## Additional Inherited Members

Public Types inherited from GpgFrontend::Thread::Task
using | DataObjectPtr = std::shared_ptr< DataObject >
using | TaskRunnable = std::function< int(DataObjectPtr)>
using | TaskCallback = std::function< void(int, DataObjectPtr)>
Public Slots inherited from GpgFrontend::Thread::Task
void | SlotRun ()
Static Public Attributes inherited from GpgFrontend::Thread::Task
static const std::string | DEFAULT_TASK_NAME = "default-task"

## Member Function Documentation

## SignalUpgradeVersion

void GpgFrontend::UI::VersionCheckTask::SignalUpgradeVersion | ( | SoftwareVersion | version | ) |

signal

Parameters

  version |

Referenced by GpgFrontend::UI::UpdateTab::getLatestVersion().

The documentation for this class was generated from the following files:

- src/ui/thread/VersionCheckTask.h
- src/ui/thread/VersionCheckTask.cpp